Method: executions.delete

Full name: projects.locations.metadataStores.executions.delete

Deletes an Execution.

Endpoint

delete https://{service-endpoint}/v1/{name}

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The resource name of the Execution to delete. Format: projects/{project}/locations/{location}/metadataStores/{metadatastore}/executions/{execution}

Query parameters

etag string

Optional. The etag of the Execution to delete. If this is provided, it must match the server's etag. Otherwise, the request will fail with a FAILED_PRECONDITION.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.executions.delete

For more information, see the IAM documentation.